Create Transfer From Quote
Authorizations
Api-KeystringRequired
Path parameters
customer_idstring · uuidRequired
The unique identifier of the customer
quote_idstring · uuidRequired
The unique identifier of the quote
Body
destination_addressstringRequiredExample:
The blockchain address where the funds will be sent
0x742d35Cc6634C0532925a3b844Bc454e4438f44eResponses
201
Successful onramp transfer initiation response
application/json
idstring · uuidOptional
The unique identifier for the onramp transfer
statusstring · enumOptionalPossible values:
The current status of the onramp transfer
amountstring · decimalOptionalExample:
The amount of the onramp transfer as a numeric string
1000.50Pattern: ^[0-9]+(\.[0-9]+)?$source_currencystring · enumOptionalExample:
The currency to be deposited
usdPossible values: source_railsstring · enumOptionalExample:
The deposit rails to be used for the transaction
achPossible values: destination_networkstring · enumOptionalExample:
The blockchain network for the destination
polygonPossible values: destination_tokenstring · enumOptionalExample:
The token for the destination
usdcPossible values: destination_addressstringOptionalExample:
The blockchain address where the funds will be sent
0x742d35Cc6634C0532925a3b844Bc454e4438f44edestination_tx_hashstringOptionalExample:
The blockchain transaction hash of the destination withdrawal
0xabc123def456abc123def456abc123def456abc123def456abc123def456abc1400
The quote can no longer be used to create a transfer. Possible reasons:
Quote has expired— the quote is past itsexpire_atwindowQuote has already been used for a transfer— the quote was already consumedQuote not found
application/json
post/v0/customers/{customer_id}/onramp-transfer/quote/{quote_id}
POST /v0/customers/{customer_id}/onramp-transfer/quote/{quote_id} HTTP/1.1
Host: api.alignlabs.dev
Api-Key: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 68
{
"destination_address": "0x742d35Cc6634C0532925a3b844Bc454e4438f44e"
}{
"id": "123e4567-e89b-12d3-a456-426614174000",
"status": "pending",
"amount": "1000.50",
"source_currency": "usd",
"source_rails": "ach",
"destination_network": "polygon",
"destination_token": "usdc",
"destination_address": "0x742d35Cc6634C0532925a3b844Bc454e4438f44e",
"destination_tx_hash": "0xabc123def456abc123def456abc123def456abc123def456abc123def456abc1",
"quote": {
"deposit_rails": "ach",
"deposit_currency": "usd",
"deposit_bank_account": {
"bank_name": "Chase Bank",
"bank_address": "270 Park Avenue, New York, NY 10017",
"account_beneficiary_type": "business",
"account_beneficiary_name": "Acme Corp",
"account_type": "us",
"iban": {
"bic": "CHASUS33",
"iban_number": "DE89370400440532013000"
}
},
"deposit_amount": "1000.50",
"deposit_message": "ONRAMP-REF-123456",
"fee_amount": "10.50"
},
"received_deposit": {
"remitter": {
"name": "Acme Corp"
},
"payment_reference": "Invoice 4471"
}
}Last updated
